GetCampaign
curl --request GET \
--url https://api.siftstack.com/api/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/campaigns/{campaignId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"campaign": {
"campaignId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"clientKey": "<string>",
"description": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"tags": [
{
"tagId": "<string>",
"name": "<string>"
}
],
"reports": [
{
"reportId": "<string>",
"reportName": "<string>",
"numAnnotations": 123,
"numPassedRules": 123,
"numAcceptedRules": 123,
"numFailedRules": 123,
"numOpenRules": 123
}
],
"createdFromCampaignId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CampaignService
GetCampaign
Retrieve a campaign.
GET
/
api
/
v1
/
campaigns
/
{campaignId}
GetCampaign
curl --request GET \
--url https://api.siftstack.com/api/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/campaigns/{campaignId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"campaign": {
"campaignId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"clientKey": "<string>",
"description": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"archivedDate": "2023-11-07T05:31:56Z",
"tags": [
{
"tagId": "<string>",
"name": "<string>"
}
],
"reports": [
{
"reportId": "<string>",
"reportName": "<string>",
"numAnnotations": 123,
"numPassedRules": 123,
"numAcceptedRules": 123,
"numFailedRules": 123,
"numOpenRules": 123
}
],
"createdFromCampaignId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z"
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z"
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to CampaignService_GetCampaign to retrieve a campaign.
Show child attributes
Show child attributes
Was this page helpful?
⌘I